Opened 9 years ago

Closed 9 years ago

#8528 closed defect (invalid)

Windows build script fails with EFFECT FAILED (newer -> shell): mtime of file should be greater

Reported by: brobertson@… Owned by:
Priority: minor Milestone: unknown
Component: Ports - Windows Version: 0.23-fixes
Severity: low Keywords:
Cc: Ticket locked: no

Description

I tried to build the Mythtv for Windows version 0.23 and everything was going good(with the exception of manually downloading a few zip files) until I got this error message that I cant seem to clear. It says "EFFECT FAILED (newer -> shell): mtime of file (C:/mythtv/mythtv/libs/libmyth/libmyth-0.23.dll) should be greater than file (C:/mythtv/mythtv/last_build.txt). I am using the version 0.23 script file from the wiki page. Any information you have please let me know. Thanks!

I am a newbie to this. Since I have never installed Mythtv on a Windows box before, is there anything I need to do, or can I just run the 0.23 fixes script and it should install everything automatically? Do I need to run the TRUNK script? Or do I just compile the 0.23 script build? This is on a Windows XP machine. Everything in the script ran perfect until it got the above error. Please help, I have been fighting with this for a few weeks now before I gave up and contacted support.

Change History (6)

comment:1 Changed 9 years ago by sphery

Component: mythtvPorts - Windows
Priority: criticalminor
Severity: highlow
Status: newinfoneeded_new
Summary: EFFECT FAILED (newer -> shell): mtime of file should be greaterWindows build script fails with EFFECT FAILED (newer -> shell): mtime of file should be greater

Please provide a link to "the version 0.23 script file from the wiki page." The only build scripts that are any way supported are those in the packaging directory ( http://svn.mythtv.org/trac/browser/branches/release-0-23-fixes/packaging/Win32 ).

comment:2 Changed 9 years ago by anonymous

http://svn.mythtv.org/svn/branches/release-0-23-fixes/packaging/Win32/build/win32-packager.pl is the link. I have also tried running 0.22 and get the same error.

comment:3 Changed 9 years ago by sphery

Status: infoneeded_newnew

comment:4 Changed 9 years ago by sphery

Milestone: 0.23-fixes

comment:5 Changed 9 years ago by robertm

Status: newinfoneeded_new

Need build logs attached to the ticket as a file, please.

comment:6 Changed 9 years ago by robertm

Resolution: invalid
Status: infoneeded_newclosed

Appears to be the issue from here:

http://www.acetylcholine.com/node/72048

Out of date build script, should be fixed/fine in current fixes.

Note: See TracTickets for help on using tickets.